Package ru.bitel.bgbilling.kernel.script.common.service

# Interface EventScriptService

public interface EventScriptService

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static class`
  `EventScriptService.Mode`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deleteEventScriptLink(int id)`
  Удаляет привязку.
  `void`
  `deleteFunction(int id)`
  `List<EventScriptLink>`
  `getEventLinks()`
  Возвращает все привязки событийных скриптов.
  `List<EventScriptLink>`
  `getEventLinksByScript(int scriptId)`
  Возвращает список привязок событийных скриптов по коду скрипта поведения.
  `EventScriptLink`
  `getEventScriptLink(int id)`
  Возвращает привязку событийного скрипта по его коду.
  `List<EventType>`
  `getEventTypeList(int mode, boolean onlyNew)`
  Возвращает список типов событий.
  `List<EventType>`
  `getEventTypesByEventId(String className)`
  Возвращает список типов событий по классу события.
  `String`
  `getInterfaceName()`
  Возвращает имя интерфейса, который нужно имплементировать динамическому классу как обработчику события.
  `List<IdTitle>`
  `getScriptList()`
  Возвращает список скриптов поведения.
  `String`
  `getSuperclassName()`
  Возвращает имя суперкласса, который может имплементировать динамический класс-обработчик события.
  `void`
  `updateEventScriptLink(EventScriptLink link)`
  Изменяет привязку событийного скрипта.

- ## Method Details

  - ### getEventLinksByScript

    List<EventScriptLink> getEventLinksByScript(int scriptId) throws ru.bitel.bgbilling.common.BGException
    Возвращает список привязок событийных скриптов по коду скрипта поведения.
    Parameters:
      `scriptId` - код скрипта поведения
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateEventScriptLink

    void updateEventScriptLink(EventScriptLink link) throws ru.bitel.bgbilling.common.BGException
    Изменяет привязку событийного скрипта. Генерирует событие обновления привязки.
    Parameters:
      `link` - привязка событийного скрипта.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getEventScriptLink

    EventScriptLink getEventScriptLink(int id) throws ru.bitel.bgbilling.common.BGException
    Возвращает привязку событийного скрипта по его коду.
    Parameters:
      `id` - код привязки
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteEventScriptLink

    void deleteEventScriptLink(int id) throws ru.bitel.bgbilling.common.BGException
    Удаляет привязку. Генерирует событие удаления привязки событийного скрипта.
    Parameters:
      `id` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteFunction

    void deleteFunction(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getScriptList

    List<IdTitle> getScriptList() throws ru.bitel.bgbilling.common.BGException
    Возвращает список скриптов поведения.
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getEventTypeList

    List<EventType> getEventTypeList(int mode, boolean onlyNew) throws ru.bitel.bgbilling.common.BGException
    Возвращает список типов событий.
    Parameters:
      `mode` - режим выборки
      `onlyNew` - выбирать события только "нового" типа
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
    See Also:
      - invalid reference

            #MODE_ALL

      - invalid reference

            #MODE_CONTRACT

      - invalid reference

            #MODE_GLOBAL

  - ### getEventTypesByEventId

    List<EventType> getEventTypesByEventId(String className) throws ru.bitel.bgbilling.common.BGException
    Возвращает список типов событий по классу события.
    Parameters:
      `className` - имя класса события
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getEventLinks

    List<EventScriptLink> getEventLinks() throws ru.bitel.bgbilling.common.BGException
    Возвращает все привязки событийных скриптов.
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getInterfaceName

    String getInterfaceName()
    Возвращает имя интерфейса, который нужно имплементировать динамическому классу как обработчику события.
    Returns:

  - ### getSuperclassName

    String getSuperclassName()
    Возвращает имя суперкласса, который может имплементировать динамический класс-обработчик события.
    Returns: